Subject: bug#17771: 24.3.91; SIGSEGV in cleanup_vector

From: Stephen Berman <[email-masked]>
Date: Mon, 16 Jun 2014 15:07:28 +0200

On Mon, 16 Jun 2014 16:37:04 +0400 Dmitry Antipov <[email-masked]> wrote:

>> Unfortunately, I still get the same crash.  Does it matter that I the
>> emacs-24 source I applied your patch to includes Eli's patch to alloc.c?
>
> Yes.

I take it you mean it *doesn't* matter; anyway, I left Eli's patch in
again, and...

> Perhaps font->driver must be set to NULL earlier, immediately after
> allocation? Try this.

With this I can no longer make Emacs crash with my recipe.  In fact,
`C-g' has no effect: HELLO is displayed (after 30+ seconds), no matter
how many times I type `C-g'.  Is this what you expect?

Steve Berman